# mongod.conf

#where to log
#logpath=/var/log/mongodb/mongod.log

#logappend=true

systemLog:
   destination: file
   path: "/var/log/mongo/mongod.log"
   logAppend: true

# fork and run in background
#fork=true
processManagement:
   fork: true
   pidFilePath: /var/run/mongo/mongod.pid

#port=27017

#dbpath=/var/lib/mongo
storage:
   engine: wiredTiger
   dbPath: /var/lib/mongodb_wiredTiger/ 
   wiredTiger:
       engineConfig:
           cacheSizeGB: 1
# location of pidfile
#pidfilepath=/var/run/mongodb/mongod.pid

# Listen to local interface only. Comment out to listen on all interfaces. 
#bind_ip=127.0.0.1
net:
   bindIp: 0.0.0.0

# Disables write-ahead journaling
# nojournal=true

# Enables periodic logging of CPU utilization and I/O wait
#cpu=true

# Turn on/off security.  Off is currently the default
#noauth=true
#auth=true

# Verbose logging output.
#verbose=true

# Inspect all client data for validity on receipt (useful for
# developing drivers)
#objcheck=true

# Enable db quota management
#quota=true

# Set oplogging level where n is
#   0=off (default)
#   1=W
#   2=R
#   3=both
#   7=W+some reads
#diaglog=0

# Ignore query hints
#nohints=true

# Enable the HTTP interface (Defaults to port 28017).
#httpinterface=true

# Turns off server-side scripting.  This will result in greatly limited
# functionality
#noscripting=true

# Turns off table scans.  Any query that would do a table scan fails.
#notablescan=true

# Disable data file preallocation.
#noprealloc=true

# Specify .ns file size for new databases.
# nssize=<size>

# Replication Options

# in replicated mongo databases, specify the replica set name here
#replSet=setname
# maximum size in megabytes for replication operation log
#oplogSize=1024
# path to a key file storing authentication info for connections
# between replica set members
#keyFile=/path/to/keyfile
